# H4501_SupplementaryService Class Reference

`#include <h4501.h>`

Inheritance diagram for H4501_SupplementaryService:

List of all members.

## Public Types

enum | OptionalFields { e_networkFacilityExtension, e_interpretationApdu }

## Public Member Functions

| H4501_SupplementaryService (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4501_NetworkFacilityExtension | m_networkFacilityExtension
H4501_InterpretationApdu | m_interpretationApdu
H4501_ServiceApdus | m_serviceApdu

## Member Enumeration Documentation

enum H4501_SupplementaryService::OptionalFields

Enumerator:

  e_networkFacilityExtension |
  e_interpretationApdu |

## Constructor & Destructor Documentation

H4501_SupplementaryService::H4501_SupplementaryService | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4501_SupplementaryService::GetDataLength | ( |  | ) | const

PBoolean H4501_SupplementaryService::Decode | ( | PASN_Stream & | strm | ) |

void H4501_SupplementaryService::Encode | ( | PASN_Stream & | strm | ) | const

void H4501_SupplementaryService::PrintOn | ( | ostream & | strm | ) | const

Comparison H4501_SupplementaryService::Compare | ( | const PObject & | obj | ) | const

PObject* H4501_SupplementaryService::Clone | ( |  | ) | const

## Member Data Documentation

H4501_NetworkFacilityExtension H4501_SupplementaryService::m_networkFacilityExtension

H4501_InterpretationApdu H4501_SupplementaryService::m_interpretationApdu

H4501_ServiceApdus H4501_SupplementaryService::m_serviceApdu

The documentation for this class was generated from the following file:

- h4501.h